Custom properties / Structure items
List custom property structure items
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the custom property structure.
Use the API call GET /custom-property-structures?organizationId={organizationId} to get the ID of a custom property structure.
2Specify the custom property item attribute. The custom property items in the response are sorted by the value of the attribute.
The value of entities you want to skip before getting entities you need.
The sorting order. It accepts the ascending and descending direction specifiers.
Sets the maximum number of results per page in the API call response. For example, pg[limit]=100. The default number varies with different API endpoints.
Successful response
Successful response
Create a custom property structure item
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the custom property structure.
Use the API call GET /custom-property-structures?organizationId={organizationId} to get the ID of a custom property structure.
2The ID of the structure item. The name has to be unique in the custom properties structure.
Make displays the item label to users in the scenario table header.
The description of the custom property structure item. You can review the item description in the Scenario properties tab in the Organization dashboard.
The data type of the custom property structure item. The data types dropdown and multiselect allow you to specify available options for the item data.
The options available to users when filling in the item data. For the data types dropdown and multiselect, fill in an object like {"options":[{"value": "Marketing"}, {"value": "Sales"}]}.
You can omit the options parameter for the rest of the data types.
Set to true in order to make a structure item required when adding custom property data. Default value is false.
Successful response
Successful response
Delete custom property structure item
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the custom property structure item. Get the item ID with the API call to list custom property structure items.
2trueSuccessful response
Successful response
Update custom property structure item
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The ID of the custom property structure item. Get the item ID with the API call to list custom property structure items.
2Make displays the item label to users in the scenario table header.
The description of the custom property structure item. You can review the item description in the Scenario properties tab in the Organization dashboard.
The options available to users when filling in the item data. For the data types dropdown and multiselect, fill in an object like {"options":[{"value": "Marketing"}, {"value": "Sales"}]}.
You can omit the options parameter for the rest of the data types.
Set to true if you require to fill in data to the structure item when adding custom property data. Default value is false.
Successful response
Successful response
Last updated

